apiVersion: v1
kind: Service
metadata:
  name: result-service
spec:
  type: NodePort
  selector:
    app: exampleresultapp
  ports:
    - protocol: TCP
      port: 5001
      targetPort: 80
      nodePort: 31001